MANDB(8)

NAVN
mandb - create or update the manual page index caches

SYNOPSIS
mandb [-dqsucpt?V] [-C fil] [manualsti]
mandb [-dqsut] [-C fil] -f filnavn ...

BESKRIVELSE
mandb is used to initialise or manually update index database caches that are usually maintained by man. The caches contain information relevant to the current state of the manual page system and the information stored within them is used by the man-db utilities to enhance their speed and functionality. When creating or updating an index, mandb will warn of bad ROFF .so requests, bogus manual page filenames and manual pages from which the whatis cannot be parsed. Supplying mandb with an optional colon-delimited path will override the internal system manual page hierarchy search path, determined from information found within the man-db configuration file.

DATABASE CACHES
mandb kan kompileres med understøttelse for enhver af de følgende databasetyper.
Navn | Type | Async | Filnavn
Berkeley db | Binært træ | Ja | index.bt
GNU gdbm v >= 1.6 | Hashed | Ja | index.db
GNU gdbm v < 1.6 | Hashed | Nej | index.db
UNIX ndbm | Hashed | Nej | index.(dir|pag)
De databasetyper som understøtter asynkrone opdateringer tilbyder forbedret hastighed på bekostning af muligheden for korruption i tilfælde af usædvanlig afslutning. I et usædvanligt tilfælde, hvor dette er opstået, kan det være nødvendigt at genkøre mandb med tilvalget -c for at genskabe databaserne fra bunden af.

TILVALG

-d, --debug
    Vis fejlsøgningsinformation.

-q, --quiet
    Lav ingen advarsler.

-s, --no-straycats
    Brug ikke tid på at kigge efter eller tilføje information til databaserne angående vildfarne katalogsider.

-p, --no-purge
    Do not spend time checking for deleted manual pages and purging them from the databases.

-c, --create
    By default, mandb will try to update any previously created databases. If a database does not exist, it will create it. This option forces mandb to delete previous databases and re-create them from scratch, and implies --no-purge. This may be necessary if a database becomes corrupt or if a new database storage scheme is introduced in the future.

-u, --user-db
    Opret kun brugerdatabaser, selv med skriverettigheder nødvendige for at oprette systemdatabaser.

-t, --test
    Udfør kontrol af korrekthed på manualsider i søgestien for hierarkiet. Med dette tilvalg vil mandb ikke ændre eksisterende databaser.

-f, --filename
    Update only the entries for the given filename. This option is not for general use; it is used internally by man when it has been compiled with the MAN_DB_UPDATES option and finds that a page is out of date. It implies -p and disables -c and -s.

-C fil, --config-file=fil
    Brug denne brugerkonfigurationsfil frem for standarden ~/.manpath.

-?, --help
    Vis brugsbeskeden, afslut så.

--usage
    Vis en kort hjælpebesked og afslut.

-V, --version
    Vis versionen og afslut.

AFSLUT-STATUS

0   Programkørsel endt uden fejl.

1   Brugs- syntaks- eller konfigurationsfilfejl.

2   Operationel fejl.

3   En underproces mislykkedes.

DIAGNOSTICS
De følgende advarselsbeskeder kan udelades under opbygning af database.

<filename>: whatis parse for page(sec) failed
    An attempt to extract whatis line(s) from the given <filename> failed. This is usually due to a poorly written manual page, but if many such messages are emitted it is likely that the system contains non-standard manual pages which are incompatible with the man-db whatis parser. See the WHATIS PARSING section in lexgrog(1) for more information.

<filename>: is a dangling symlink
    <filename> does not exist but is referenced by a symbolic link. Further diagnostics are usually emitted to identify the <filename> of the offending link.

<filename>: bad symlink or ROFF `.so' request
    <filename> is either a symbolic link to, or contains a ROFF include request to, a non existent file.

<filnavn>: ignorerer falske filnavne
    The <filename> may or may not be a valid manual page but its name is invalid. This is usually due to a manual page with sectional extension <x> being put in manual page section <y>.

<filename_mask>: konkurrerende udvidelser
    Jokertegnet <filename_mask> er ikke unik. Dette skyldes normalt eksistensen af både en pakket og udpakket version af den samme manualside. Alle undtagen de seneste ignoreres

FILER

/etc/manpath.config
    konfigurationsfil for man-db.

/var/cache/man/index.(bt|db|dir|pag)
    Et FHS-overholdende globalt index-databasemellemlager.

Tidligere placeringer for databasens mellemlager inkluderede:

/usr/man/index.(bt|db|dir|pag)
    Et traditionelt globalt index-databasemellemlager.

/var/catman/index.(bt|db|dir|pag)
    An alternate or FSSTND compliant global index database cache.

SE OGSÅ
lexgrog(1), man(1), manpath(5), catman(8)

The WHATIS PARSING section formerly in this manual page is now part of lexgrog(1).

FORFATTER
Wilf. (G.Wilford@ee.surrey.ac.uk).
Fabrizio Polacco (fpolacco@debian.org).
Colin Watson (cjwatson@debian.org).